]> git.sur5r.net Git - bacula/bacula/commitdiff
Remove -lnsl from tpc wrappers link unless needed
authorKern Sibbald <kern@sibbald.com>
Tue, 7 Oct 2003 12:51:04 +0000 (12:51 +0000)
committerKern Sibbald <kern@sibbald.com>
Tue, 7 Oct 2003 12:51:04 +0000 (12:51 +0000)
git-svn-id: https://bacula.svn.sourceforge.net/svnroot/bacula/trunk@735 91ce42f0-d328-0410-95d8-f526ca767f89

bacula/ChangeLog
bacula/Makefile.in
bacula/ReleaseNotes
bacula/autoconf/configure.in
bacula/configure
bacula/kernstodo
bacula/src/dird/.cvsignore
bacula/src/filed/.cvsignore
bacula/src/stored/.cvsignore
bacula/src/stored/match_bsr.c
bacula/src/stored/read_record.c

index 741ae8ef69057f1bcb81200b59dfb87ed8de7995..a92ea983492f7b2d043ef8e2d6e09075c5aedea9 100644 (file)
@@ -1,4 +1,25 @@
 
+2003-10-09 Version 1.32b 08Oct03 Release
+- I noticed that SD and FD bootstrap files were not always
+  deleted, so delete them as soon as possible.
+- Restore by file (or by selecting files) created some
+  horrible looking bsr files that defeated the forward
+  spacing code, so fix write_findex to work right.
+- Add zlib_strerror() routine in filed/restore in case
+  of zlib errors.
+- In filed/restore.c make sure all error returns cleanup
+  and close the open file descriptor.
+- Make sure to set *non* over filename in attr packet
+  after file is found, so error messages that print the
+  filename don't print an old, incorrect name.
+- Allow bclose() to be called after closing the file.
+- Fix a number of unclear help messages, ... reported by
+  Phil in btape.
+- Retweak stored/read_record.c so that it does forward
+  spacing at the beginning of every tape, not just the
+  first one.
+- Print repositioning message if verbose is set.
+
 2003-10-01 Version 1.32a 03Oct03 Release
 04Oct03
 - Combine the code in ua_output and ua_status that searches
index 87c3a4da94fc47aa79b09c57c467d624aa904dd6..65b008f80c610d44caf9587d89658527b7ca0a67 100755 (executable)
@@ -149,6 +149,7 @@ distclean:
        @$(RMF) -r doc/techlogs/2002/CVS doc/techlogs/2001/CVS doc/techlogs/1.27/CVS
        @$(RMF) -r examples/CVS intl/CVS scripts/CVS
        @$(RMF) -r po/CVS src/immortal/CVS rescue/freebsd/CVS rescue/solaris/CVS
+       @$(RMF) -r CVS src/gnome-console/CVS src/tconsole/CVS
 
 distdirs:
        mkdir ../$(VERNAME);
index 5d72fde262394e3876f3c20f203d97bbdfe2c87c..1d49b400341da8a1d1d61b34f3bdc363e9578b87 100644 (file)
@@ -1,7 +1,7 @@
 
           Release Notes for Bacula 1.32a
 
-  Bacula code: Total files = 259 Total lines = 77,779 (*.h *.c *.in)
+  Bacula code: Total files = 259 Total lines = 77,873 (*.h *.c *.in)
 
 Major Changes this Release:
 - Implemented forward space file/block whenever possible 
index f00fbe38a9d59b36d972d9590356a651bc52454c..92acf4feabe97107edc97ab4e4664ff2038df8e1 100644 (file)
@@ -505,7 +505,7 @@ AC_ARG_WITH(tcp-wrappers,
   [
     if test "x$withval" != "xno" ; then
        saved_LIBS="$LIBS"
-       LIBS="$LIBS -lwrap -lnsl"
+       LIBS="$saved_LIBS -lwrap"
        AC_MSG_CHECKING(for libwrap)
        AC_TRY_LINK(
          [ #include <tcpd.h>
@@ -517,8 +517,21 @@ AC_ARG_WITH(tcp-wrappers,
            AC_MSG_RESULT(yes)
            AC_DEFINE(HAVE_LIBWRAP)
            TCPW_MSG="yes" 
-         ],
-         [AC_MSG_ERROR([*** libwrap missing]) ]
+         ], [
+           LIBS="$saved_LIBS -lwrap -lnsl"
+           AC_TRY_LINK(
+             [ #include <tcpd.h>
+                int deny_severity = 0;
+                int allow_severity = 0;
+                struct request_info *req; ],
+             [ hosts_access(req); ],
+             [
+                AC_MSG_RESULT(yes)
+                AC_DEFINE(HAVE_LIBWRAP)
+                TCPW_MSG="yes" 
+             ],
+             [AC_MSG_ERROR([*** libwrap missing]) ] ]
+           )
        )
     fi
   ]
index 89b636774c14396cedcef9590c5faeb24029650b..ee3fafe7e5b7ea7d0a3d6a5b88c5c7dbc0dab5ad 100755 (executable)
@@ -6326,7 +6326,7 @@ if test "${with_tcp_wrappers+set}" = set; then
 
     if test "x$withval" != "xno" ; then
        saved_LIBS="$LIBS"
-       LIBS="$LIBS -lwrap -lnsl"
+       LIBS="$saved_LIBS -lwrap"
        echo "$as_me:$LINENO: checking for libwrap" >&5
 echo $ECHO_N "checking for libwrap... $ECHO_C" >&6
        cat >conftest.$ac_ext <<_ACEOF
@@ -6369,6 +6369,52 @@ _ACEOF
 
            TCPW_MSG="yes"
 
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+
+           LIBS="$saved_LIBS -lwrap -lnsl"
+           cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+ #include <tcpd.h>
+                int deny_severity = 0;
+                int allow_severity = 0;
+                struct request_info *req;
+int
+main ()
+{
+ hosts_access(req);
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+
+                echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+                cat >>confdefs.h <<\_ACEOF
+#define HAVE_LIBWRAP 1
+_ACEOF
+
+                TCPW_MSG="yes"
+
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
@@ -6377,6 +6423,9 @@ sed 's/^/| /' conftest.$ac_ext >&5
 echo "$as_me: error: *** libwrap missing" >&2;}
    { (exit 1); exit 1; }; }
 
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
     fi
index 5170cb51e2afcb5ceb54ce7919c85bd18eb34152..945e2fb50af30812b8078f15ece5dfb10bccccc6 100644 (file)
@@ -23,7 +23,6 @@ Testing to do: (painful)
 - Figure out how to use ssh or stunnel to protect Bacula communications.
 
 For 1.33 Testing/Documentation:
-- Fix FreeBSD build with tcp_wrapper -- should not have -lnsl
 - Document to start higher priorty jobs before lower ones.
 - suppress "Do not forget to mount the drive!!!" if error
 - Document new records in Director. SDAddress SDDeviceName, SDPassword.
@@ -31,8 +30,23 @@ For 1.33 Testing/Documentation:
 - Document new Include/Exclude ...
 - Add test of exclusion, test multiple Include {} statements.
 - Add counter variable test.
+- Document ln -sf /usr/lib/libncurses.so /usr/lib/libtermcap.so
+  and install the esound-dev  package for compiling Console on 
+  SuSE.
                 
 For 1.33
+- Implement a RunAfterFailedJob
+- Zap illegal characters in job name for mail files (e.g. /).
+- From Lars Köllers:
+    Yes, it would allow to highly automatic the request for new tapes. If a 
+    tape is empty, bacula reads the barcodes (native or simulated), and if 
+    an unused tape is found, it runs the label command with all the 
+    necessary parameters.
+
+    By the way can bacula automatically "move" an empry/purged volume say 
+    in the "short" pool to the "long" pool if this pool runs out of volume 
+    space?
+- Implement a move Volume from one pool to another.
 - Either restrict the characters in a name, or fix the problem 
   emailing with names containing / (smtp command line breaks).
 - Eliminate ua_retention.c (retentioncmd) if possible.
@@ -120,7 +134,7 @@ For 1.33
 - Use system dependent calls to get more precise info on tape errors.
 - Add heartbeat from FD to SD if hb interval expires.
 - Suppress read error on blank tape when doing a label.
-- Can we dynamically change FileSets.
+- Can we dynamically change FileSets?
 - If pool specified to label command and Label Format is specified,
   automatically generate the Volume name.
 - Take a careful look a the Basic recycling algorithm.  When Bacula
@@ -180,7 +194,8 @@ For 1.33
   > > prod4-sd: End of medium on Volume "REU007" Bytes=16,303,521,933 
 
 - Use autochanger to handle multiple devices.
-- Fix packet too big problem.
+- Fix packet too big problem. This is most likely a Windows TCP stack 
+  problem.
 - Add SuSE install doc to list.
 - Check and rechedk "Invalid block number"
 - Make bextract release the drive properly between tapes 
@@ -1020,4 +1035,5 @@ Done: (see kernsdone for more)
 - Combine the 3 places that search run records for the next
   job. Use find_job_pool() modified in ua_output.c
 - Test connect timeouts.
+- Fix FreeBSD build with tcp_wrapper -- should not have -lnsl
 
index e5ca4c1c7b0e2f094be3cfd07cea5c6af5529867..fb6ff2128cf971094257e8a212b97e40f6c2de6a 100644 (file)
@@ -8,3 +8,4 @@ btraceback
 btraceback.gdb
 startit
 stopit
+dird.conf
index f97f16974f82bad78c1affae2a04da2a15b156e6..9edec269560cbd90ebcbbed7c91b636d7a70c32e 100644 (file)
@@ -7,3 +7,4 @@ host.h
 startit
 static-bacula-fd
 stopit
+filed.conf
index a3104e4eea6a16636c48efe197384edd67ccf186..6f6270578fdc330431456391701940e0467a6cdd 100644 (file)
@@ -18,3 +18,4 @@ startit
 stopit
 changer.out
 mtx-changer
+stored.conf
index 44f903e3a8d6bc379aaa6a16e0f6ac83ca327fd3..2208038885ddd4235f1c7e5079a94b631c834663 100755 (executable)
@@ -135,7 +135,7 @@ int match_bsr(BSR *bsr, DEV_RECORD *rec, VOLUME_LABEL *volrec, SESSION_LABEL *se
       /* 
        * Note, bsr->reposition is set by match_all when
        *  a bsr is done. We turn it off if a match was
-       *  found or if we cannot use poistioning
+       *  found or if we cannot use positioning
        */
       if (stat != 0 || !bsr->use_positioning) {
         bsr->reposition = false;
@@ -464,6 +464,10 @@ static int match_sessid(BSR *bsr, BSR_SESSID *sessid, DEV_RECORD *rec)
    return 0;
 }
 
+/*
+ * When reading the Volume, the Volume Findex (rec->FileIndex) always
+ *   are found in sequential order. Thus we can make optimizations.
+ */
 static int match_findex(BSR *bsr, BSR_FINDEX *findex, DEV_RECORD *rec, bool done)
 {
    if (!findex) {
index 1ef694db8bc47a0dc5640bd0e1ac7f743f1a1574..de2b17f204100ebdfb97e980b6cb324046849999 100644 (file)
@@ -263,7 +263,7 @@ static BSR *position_to_first_file(JCR *jcr, DEVICE *dev)
     *  on this tape.
     */
    if (jcr->bsr) {
-      jcr->bsr->reposition = true;
+      jcr->bsr->reposition = true;    /* force repositioning */
       bsr = find_next_bsr(jcr->bsr, dev);
       if (bsr) {
          Jmsg(jcr, M_INFO, 0, _("Forward spacing to file:block %u:%u.\n"),